#pragma once
#include "gmock/gmock.h"
#include "../classes/columncollector.hpp"

class MockColumnCollector : public ColumnCollector
{
    public:
    MOCK_METHOD(std::vector<double_t>, collectResiduals,
        (const EventLog* const log, const Condition* const condition,
            const AbstractValueRule* const updateRule),
        (override));
};
