#pragma once
#include "gmock/gmock.h"
#include "../classes/scoring/mdlcalculator.hpp"

class MockMdlCalculator : public MdlCalculator {
    public:
    MOCK_METHOD(double_t, codeUniformPossibilities, (const int64_t possibilities), (override));
    MOCK_METHOD(double_t, codeBinomial, (const int64_t total, const int64_t choices), (override));
    MOCK_METHOD(double_t, codePositiveInteger, (const int64_t integer), (override));
    MOCK_METHOD(double_t, codeReal, (const double_t real, const int64_t precision), (override));
};
