#pragma once
#include "gmock/gmock.h"
#include "../classes/scoring/rulefinder.hpp"

class MockRuleFinder : public RuleFinder
{
    public:
    MOCK_METHOD(std::vector<const ModificationRule*>, findRulesThatApply,
        (const RuleModel* const ruleModel, const LogVariable* const targetVariable,
        const Trace* const trace, size_t index), (override));
};
