#pragma once
#include "gmock/gmock.h"
#include "../classes/preprocessing/histogramestimator.hpp"

class MockHistogramEstimator : public HistogramEstimator
{
    public:
    MOCK_METHOD(Histogram, computeHistogram, 
        (std::vector<double_t>& data, const int64_t maxBins, const double_t dataAccuracy,
            const double_t cutPointAccuracy),
        (override));
};
