#pragma once
#include "gmock/gmock.h"
#include "../classes/scoring/updaterulematcher.hpp"

class MockUpdateRuleMatcher : public UpdateRuleMatcher
{
    public:
    MOCK_METHOD(bool, matches,
        (const ValueSetRule* const rule, const Trace* const trace, size_t index), (override));
    MOCK_METHOD(bool, matches,
        (const AbstractRangeRule* const rule, const Trace* const trace, size_t index), (override));
    MOCK_METHOD(bool, matches,
        (const AbstractValueRule* const rule, const Trace* const trace, size_t index), (override));
};
